<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://ecacode.com
 * @since             1.0.0
 * @package           Eca_Socialnotify_Cf7
 *
 * @wordpress-plugin
 * Plugin Name:       SocialNotify: Notifications for Contact Form 7
 * Plugin URI:        https://ecacode.com
 * Description:       Automatically sends WhatsApp notifications for Contact Form 7 submissions.
 * Version:           1.0.0
 * Author:            Ecacode Team
 * Author URI:        https://ecacode.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       eca-socialnotify-cf7
 * Domain Path:       /languages
 * Requires Plugins: contact-form-7
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'ECA_CF7_WHATSNOTIFY_VERSION', '1.0.0' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-eca-socialnotify-cf7-activator.php
 */
function activate_eca_socialnotify_cf7() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-eca-socialnotify-cf7-activator.php';
	Eca_Socialnotify_Cf7_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-eca-socialnotify-cf7-deactivator.php
 */
function deactivate_eca_socialnotify_cf7() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-eca-socialnotify-cf7-deactivator.php';
	Eca_Socialnotify_Cf7_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_eca_socialnotify_cf7' );
register_deactivation_hook( __FILE__, 'deactivate_eca_socialnotify_cf7' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-eca-socialnotify-cf7.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_eca_socialnotify_cf7() {

	$plugin = new Eca_Socialnotify_Cf7();
	$plugin->run();

}
run_eca_socialnotify_cf7();
